%define upstream_name	 Net-Patricia
%define upstream_version 1.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Patricia Trie perl module for fast IP address lookups
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
# Fix building on systems without libsnl, bug #1534596, CPAN RT#124088
Patch0:         Net-Patricia-1.22-Do-not-link-to-nsl-library.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::CIDR::Lite) >= 0.200.0
BuildRequires: perl(Socket6)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version)
BuildRequires: perl-devel
BuildRequires: perl(Net::CIDR::Lite)
%description
This module uses a Patricia Trie data structure to quickly perform IP address
prefix matching for applications such as IP subnet, network or routing table
lookups. The data structure is based on a radix tree using a radix of two, so
sometimes you see patricia implementations called "radix" as well. The term
"Trie" is derived from the word "retrieval" but is pronounced like "try".
Patricia stands for "Practical Algorithm to Retrieve Information Coded as
Alphanumeric", and was first suggested for routing table lookups by Van
Jacobsen. Patricia Trie performance characteristics are well-known as it has
been employed for routing table lookups within the BSD kernel since the 4.3
Reno release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL
%make_build

%check
%make_build test

%install
%make_build DESTDIR=%{buildroot} pure_vendor_install \
INSTALLSITELIB=%perl_vendorlib \
INSTALLSITEMAN1DIR=%{_mandir}/man1 \
INSTALLSITEMAN3DIR=%{_mandir}/man3
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%files
%doc COPYING Changes META.yml MYMETA.yml README demo
%{perl_vendorarch}/Net*
%{perl_vendorarch}/auto/Net*
%{_mandir}/man?/*


%changelog
* Tue Dec 15 2020 tv <tv> 1.220.0-16.mga8
+ Revision: 1657533
- Fix building on systems without libsnl (rhbz#1534596, CPAN RT#124088)

* Thu Jun 18 2020 umeabot <umeabot> 1.220.0-15.mga8
+ Revision: 1595657
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.220.0-14.mga8
+ Revision: 1529133
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.220.0-13.mga8
+ Revision: 1293548
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 guillomovitch <guillomovitch> 1.220.0-12.mga7
+ Revision: 1249762
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.220.0-11.mga7
+ Revision: 1165895
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.220.0-10.mga7
+ Revision: 1149876
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.220.0-9.mga7
+ Revision: 1126717
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-8.mga6
+ Revision: 1031255
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.220.0-7.mga6
+ Revision: 957818
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.220.0-6.mga6
+ Revision: 845055
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.220.0-5.mga6
+ Revision: 840977
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-4.mga5
+ Revision: 741176
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.220.0-3.mga5
+ Revision: 685702
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.220.0-2.mga5
+ Revision: 632308
- perl 5.20.0 rebuild

* Fri Feb 07 2014 sander85 <sander85> 1.220.0-1.mga5
+ Revision: 585102
- update to 1.22

* Sat Oct 19 2013 umeabot <umeabot> 1.210.0-2.mga4
+ Revision: 534055
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.210.0-1.mga4
+ Revision: 476113
- update to 1.21

* Wed May 29 2013 jquelin <jquelin> 1.200.0-4.mga4
+ Revision: 431675
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.200.0-3.mga4
+ Revision: 431251
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 370791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.200.0-1.mga3
+ Revision: 306186
- update to 1.20

* Wed May 30 2012 jquelin <jquelin> 1.190.0-3.mga3
+ Revision: 250995
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.190.0-2.mga2
+ Revision: 104845
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 32767
- mageia rebuild
- imported package perl-Net-Patricia

